%define name	opengroupware-libical
%define version 0.23.0
%define cvs     20040523
%define release %{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     Libical library for the OpenGroupware.org environment
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     LGPL
URL: 	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Source:      opengroupware.org-libical-%{cvs}.tar.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel
Requires:  opengroupware-gstep-make 

%description
This package contains the libical library for processing iCalendar and
files. The RPM is compiled to run in the OpenGroupware.org
environment.

%package devel
Summary: The header files for the libical library.
Group:   Development/Other
Requires: %{name}

%description devel
The devel package contains the header files for the libical library.

%prep

%setup -n opengroupware.org-libical


%build

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST


source %{prefix}/Makefiles/GNUstep.sh
sh ./cfg-gnustep.sh

cd src
cd libical
make 
cd ../..

%install

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

source %{prefix}/Makefiles/GNUstep.sh
cd src
cd libical
make -s DESTDIR="${RPM_BUILD_ROOT}" install

rm -f ${RPM_BUILD_ROOT}%{prefix}/Libraries/ix86/linux-gnu/*.la

%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README TEST TODO THANKS INSTALL AUTHORS COPYING NEWS ChangeLog
%{prefix}/Libraries/%{dirarch}/linux-gnu/libical.so.0*

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/ical.h
%{prefix}/Libraries/%{dirarch}/linux-gnu/libical.a
%{prefix}/Libraries/%{dirarch}/linux-gnu/libical.so


%changelog
* Mon May 23 2004 Spencer Anderson <sdander@oberon.ark.com> 0.23.0-20040523.1mdk
- 20040623
- make arch aware

* Tue Feb 10 2004 Spencer Anderson <sdander@oberon.ark.com> 0.23.0-20040204.1mdk
- 20040204

* Thu Dec 11 2003 Spencer Anderson <sdander@oberon.ark.com> 0.23.0-20031201.2mdk
- rebuild with proper gstep-make

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 0.23.0-20031201.1mdk
- new snapshot
- bugfixes
- more spec cleaning

* Mon Oct 6 2003 Spencer Anderson <sdander@oberon.ark.com> 0.23.0-20031001.1mdk
- new snapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 0.23.0-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile


